ValueExp (Java Platform SE 8 )
Keywords: javax.management.ValueExp interface
Date: 2018-07-01

compact3
javax.management

## Interface ValueExp

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    AttributeValueExp, StringValueExp

      public interface ValueExp
      extends Serializable

  Represents values that can be passed as arguments to relational expressions. Strings, numbers, attributes are valid values and should be represented by implementations of `ValueExp`.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueExp` | `apply(ObjectName name)` Applies the ValueExp on a MBean.
    `void` | `setMBeanServer(MBeanServer s)` Deprecated. This method is not needed because a `ValueExp` can access the MBean server in which it is being evaluated by using `QueryEval.getMBeanServer()`.

- - ### Method Detail

    - #### apply

          ValueExp apply(ObjectName name)
                  throws BadStringOperationException,
                         BadBinaryOpValueExpException,
                         BadAttributeValueExpException,
                         InvalidApplicationException

      Applies the ValueExp on a MBean.
      Parameters:
        `name` - The name of the MBean on which the ValueExp will be applied.
      Returns:
        The `ValueExp`.
      Throws:
        `BadStringOperationException`
        `BadBinaryOpValueExpException`
        `BadAttributeValueExpException`
        `InvalidApplicationException`

    - #### setMBeanServer

          @Deprecated
          void setMBeanServer(MBeanServer s)

      Deprecated. This method is not needed because a `ValueExp` can access the MBean server in which it is being evaluated by using `QueryEval.getMBeanServer()`.
      Sets the MBean server on which the query is to be performed.
      Parameters:
        `s` - The MBean server on which the query is to be performed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.